Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.tags.form
Class AbstractSingleCheckedElementTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.RequestContextAwareTag
              org.springframework.web.servlet.tags.HtmlEscapingAwareTag
                  org.springframework.web.servlet.tags.form.AbstractFormTag
                      org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
                          org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
                              org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
                                  org.springframework.web.servlet.tags.form.AbstractCheckedElementTag
                                      org.springframework.web.servlet.tags.form.AbstractSingleCheckedElementTag

All Implemented Interfaces:
  Serializable, DynamicAttributes, IterationTag, JspTag, Tag, TryCatchFinally, EditorAwareTag

Direct Known Subclasses:
  CheckboxTag, RadioButtonTag

    public abstract class AbstractSingleCheckedElementTag

extends AbstractCheckedElementTag

Abstract base class to provide common methods for implementing databinding-aware JSP tags for rendering a single HTML '`input`' element with a '`type`' of '`checkbox`' or '`radio`'.

Since:
  2.5.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
`ACCESSKEY_ATTRIBUTE, DISABLED_ATTRIBUTE, ONBLUR_ATTRIBUTE, ONCHANGE_ATTRIBUTE, ONFOCUS_ATTRIBUTE, READONLY_ATTRIBUTE`

Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
`COMMAND_NAME_VARIABLE_NAME, NESTED_PATH_VARIABLE_NAME`

Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AbstractSingleCheckedElementTag()`

Method Summary
`protected Object` | `getLabel()` Get the value of the '`label`' attribute.
`protected Object` | `getValue()` Get the value of the '`value`' attribute.
`void` | `setLabel(Object label)` Set the value of the '`label`' attribute.
`void` | `setValue(Object value)` Set the value of the '`value`' attribute.
`protected int` | `writeTagContent(TagWriter tagWriter)` Renders the '`input(radio)`' element with the configured `value`.
`protected abstract void` | `writeTagDetails(TagWriter tagWriter)` Write the details for the given primary tag: i.e.

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractCheckedElementTag
`autogenerateId, getInputType, isValidDynamicAttribute, renderFromBoolean, renderFromValue, renderFromValue`

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnfocus, getReadonly, isDisabled, isReadonly, setAccesskey, setDisabled, setOnblur, setOnchange, setOnfocus, setReadonly, writeOptionalAttributes`

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
`getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes`

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
`convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId, setPath`

Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag
`createTagWriter, doStartTagInternal, evaluate, evaluateBoolean, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag
`isHtmlEscape, setHtmlEscape`

Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`doCatch, doStartTag, getRequestContext`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSingleCheckedElementTag

    public AbstractSingleCheckedElementTag()

Method Detail

### setValue

    public void setValue(Object value)

  Set the value of the '`value`' attribute. May be a runtime expression.

### getValue

    protected Object getValue()

  Get the value of the '`value`' attribute.

### setLabel

    public void setLabel(Object label)

  Set the value of the '`label`' attribute. May be a runtime expression.

### getLabel

    protected Object getLabel()

  Get the value of the '`label`' attribute.

### writeTagContent

    protected int writeTagContent(TagWriter tagWriter)
                           throws JspException

  Renders the '`input(radio)`' element with the configured `value`. Marks the element as checked if the value matches the `bound value`.

  Specified by:
    `writeTagContent` in class `AbstractCheckedElementTag`
  Returns:
    valid tag render instruction as per `Tag.doStartTag()`.
  Throws:
    `JspException`

### writeTagDetails

    protected abstract void writeTagDetails(TagWriter tagWriter)
                                     throws JspException

  Write the details for the given primary tag: i.e. special attributes and the tag's value.

  Throws:
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD